#version 330 core

layout(location = 0) in vec4 os_Position;
layout(location = 2) in vec2 os_texcoord0;

uniform mat4 mvp;

uniform vec4 offset;

out vec2 texcoord0;

void main()
{
	gl_Position = mvp * ( os_Position + vec4( offset.x, 0, 0, 0 ) );
	texcoord0 = os_texcoord0;
}
